# Generated from gridstack-rails-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gridstack-rails

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Wrap gridstack.js library and its dependencies for rails projects
License: MIT
URL: https://github.com/edharmowongso/gridstack-js-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Rails gridstack.js library integration. All credits for the javascript library
its-self go to its creator Pavel Reznikov.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/gridstack-rails.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.3.0-1
- Initial package
